<?php

include_once(_PS_CLASS_DIR_.'AdminTab.php');



class AdminPriceFixing extends AdminTab {

	

	protected $_lang;

	protected $_save;

	protected $_action;

	protected $_page;

	protected $_column_widths;

	protected $_total_width = 0;

	protected $_taxes;



	public function __construct() {

		global $cookie;

		

		$this->edit = true;

		$this->delete = false;

		$this->table = 'product';

		$this->identifier = 'id_product';

		$this->className = 'AdminPriceFixing';

		$this->name = "pricefixing";



		$this->_save = true;

		$this->_action = $this->_save || $this->edit || $this->delete || ($this->view && $this->view != 'noActionColumn');

		$this->_lang = (!isset($cookie) || !is_object($cookie)) ? intval(Configuration::get('PS_LANG_DEFAULT')) : intval($cookie->id_lang);

		$this->_taxes = Tax::getTaxes($this->_lang);



		if (Tools::isSubmit('submitFilter'.$this->table))

			$this->_page = intval($_POST['submitFilter'.$this->table]);

		elseif (Tools::isSubmit('page'))

			$this->_page = (array_key_exists('page', $_POST)) ? intval($_POST['page']) : intval($_GET['page']);



		$this->_page = (!$this->_page) ? 1 : $this->_page;



		$this->fieldsDisplay = array(

				'name' => array('title' => $this->l('Název'), 'align' => 'left', 'filter_key' => 'pl!name', 'orderby' => true),

				'reference' => array('title' => $this->l('Kód zboží'), 'align' => 'left',  'filter_key' => 'a!reference', 'orderby' => true), 

				'price_tax_exc' => array('title' => $this->l('Bez DPH'), 'price' => true, 'align' => 'left', 'filter_key' => 'a!price_tax_exc', 'orderby' => false),

				'rate' => array('title' => $this->l('DPH'), 'type' => 'float', 'align' => 'left', 'orderby' => false),

				'price_without_reduction' => array('title' => $this->l('Cena s DPH'), 'price' => true, 'align' => 'left', 'filter_key' => 'a!price_without_reduction', 'orderby' => false)

		);

		

		$this->_column_widths = array(

				'name' => 280,

				'reference' => 120,

				'price_tax_exc' => 90,

				'rate' => 80,

				'price_without_reduction' => 90,

				'actions' => 60

			);

		

		foreach ($this->_column_widths as $key => $w)

			$this->_total_width += $w;

		

		parent::__construct();

 

	}

	

	public function l($string, $specific = false) {

		global $_MODULES, $_MODULE;

		

		$file = _PS_MODULE_DIR_.$this->name.'/'.Language::getIsoById($this->_lang).'.php';



		if (file_exists($file) && include_once($file))

			$_MODULES = !empty($_MODULES) ? array_merge($_MODULES, $_MODULE) : $_MODULE;



		if (!is_array($_MODULES))

			return (str_replace('"', '&quot;', $string));



		$string2 = str_replace('\'', '\\\'', $string);

		$key = '<{'.$this->name.'}prestashop>'.$this->className.'_'.md5($string2);



		if (key_exists($key, $_MODULES))

			$ret = stripslashes($_MODULES[$key]);

		else

			$ret = $string;

		return str_replace('"', '&quot;', $ret);

	}



	public function postProcess() 	{

		global $currentIndex, $cookie;



		if (array_key_exists('productOrderby', $_GET) && isset($_GET['productOrderby']) && array_key_exists('productOrderway', $_GET) && isset($_GET['productOrderway'])) {

			$cookie->{$this->table.'Orderby'} = $_GET['productOrderby'];

			$cookie->{$this->table.'Orderway'} = $_GET['productOrderway'];

		}

		

		$token = Tools::getValue('token') ? Tools::getValue('token') : $this->token;



		if (Tools::isSubmit('submitEdit')) {

			$sql = "UPDATE `"._DB_PREFIX_."{$_POST['table_identifier']}`

						SET `price` = '{$_POST['price']}'";

			if (array_key_exists('id_tax', $_POST))

				$sql .= ", `id_tax` = '{$_POST['id_tax']}'";

			$sql .= " WHERE `{$_POST['where_identifier']}` = '{$_POST['where_identifier_value']}'";

			if (isset($_POST['and_identifier']) && isset($_POST['and_identifier_value']))

				$sql .= " AND `{$_POST['and_identifier']}` = '{$_POST['and_identifier_value']}'";

        

			if (!Db::getInstance()->Execute($sql))

				$this->_errors[] = Tools::displayError('an error occurred while updating data');

			else

				Tools::redirectAdmin($currentIndex.'&page='.$this->_page.'&id_product='.$_POST['and_identifier_value'].'&conf=6&token='.$token);

		}

		parent::postProcess();

	}



	public function display($token = NULL) {

		global $currentIndex, $cookie;



		$this->_select = 'pl.`name`, t.`rate`';

		$this->_join = "LEFT JOIN `"._DB_PREFIX_."product_lang` pl ON (pl.`id_product` = a.`id_product`) AND pl.`id_lang` = " . $this->_lang. "

										LEFT JOIN `"._DB_PREFIX_."tax` AS t ON t.`id_tax` = a.`id_tax`";



		echo '

		<style>

			.product_row {

				height: 28px;

			}

			/*

			.product_row:hover {

				background-color: #eee;

			}

			*/

			.table, .tr {

				width: '.$this->_total_width.'px;

				margin: 0px;

				border-bottom: 1px solid #f0eada;

			}

			.th {

				vertical-align: top;

			}

			.th, .td {

				float: left;

				margin: 0px;

				padding: 4px 0px;

			}

			.td {

				font-size: 0.9em;

				color: #963;

				line-height: 22px;;

			}

			.action {

			}

			a.my {

				color: #680;

			}

			a.my:hover {

				color: #f90;

			}

			.hidden-list {

				display: none;

			}

			.visible-list {

				display: block;

			}

			.ajax-load {

				background: transparent url('._MODULE_DIR_.$this->name.'/loading.gif) center center no-repeat;

			}

		</style>

		

		<script type="text/javascript" src="'._PS_JS_DIR_.'/price.js"></script>



		<script type="text/javascript">

			var key;

			var tax_array = new Object();

			';

		foreach ($this->_taxes as $tax_array)

			echo '

			tax_array['.$tax_array['id_tax'].'] = '.$tax_array['rate'].';

			';

		echo '

			var tax;

			

			function includeTax(value, tax, form) {

				value = value.replace(/,/g, \'.\');

				value = value * ((tax / 100) + 1);

				form.price.value=formatPrice(value).toFixed(2);

			}

			function formatValue(value, form) {

				value = value.replace(/,/g, \'.\');

				form.price.value=formatPrice(value).toFixed(6);

			}

			function submitOnEnter(key, form) {

				if (key == 13)

					form.submit();

			}

		</script>

		';



		$orderBy = ((!isset($cookie->{$this->table.'Orderby'})) ? $this->_orderBy : $cookie->{$this->table.'Orderby'});

		$orderWay = ((!isset($cookie->{$this->table.'Orderway'})) ? $this->_orderWay : $cookie->{$this->table.'Orderway'});

		$_POST['submitFilter'.$this->table] = $this->_page;

		parent::getList($this->_lang, $orderBy, strtoupper($orderWay));



		if ($this->_list) {

			$nb = count ($this->_list);

			for ($i = 0; $i < $nb; $i++)

				$this->_list[$i]['price_et'] = $this->_list[$i]['price'];

			for ($i = 0; $i < $nb; $i++)

				$this->_list[$i]['price_tmp'] = Product::getPriceStatic($this->_list[$i]['id_product'], $usetax = true, $id_product_attribute = NULL, $decimals = 6, $divisor = NULL, $only_reduc = false, $usereduc = true, $quantity = 1, $forceAssociatedTax = true);

			for ($i = 0; $this->_list && $i < $nb; $i++) {

				$this->_list[$i]['price_final'] = $this->_list[$i]['price_tmp'];

				unset($this->_list[$i]['price_tmp']);

			}

			$this->_list = Product::getProductsProperties($this->_lang, $this->_list);

			for ($i = 0; $i < $nb; $i++) {

				$this->_list[$i]['price_tax_exc'] = $this->_list[$i]['price_et'];

				unset($this->_list[$i]['price_et']);

			}

		}	



		echo '<h2>'.$this->l('Ceny - hromadná úprava').'</h2>';

		$this->displayList($token);

	}

	

	public function displayList($token) {

		echo '

		<div style="margin: 0px; margin-top: 1em;">

		';

		$this->displayListHeader($token);

		if (!$this->_listTotal)

			echo '

			<div class="tr" style="vertical-align: bottom;">

				<div style="text-align: center;">'.$this->l('No products found').'</div>

			</div>

			';

		$this->displayListContent($token);

		$this->displayListFooter($token);

		echo '

		</div>

		';

	}



	public function displayListHeader($token = NULL) {

		global $currentIndex, $cookie;



		if (!isset($token) || empty($token))

			$token = $this->token;



		$page = $this->_page;

		$totalPages = ceil($this->_listTotal / Tools::getValue('pagination', (isset($cookie->{$this->table.'_pagination'}) ? $cookie->{$this->table.'_pagination'} : $this->_pagination[0])));

		if (!$totalPages) $totalPages = 1;

		

		echo '<a name="'.$this->table.'"></a>';

		echo '

		<div class="table">

		

			<form method="post" action="'.$currentIndex.'#'.$this->table.'" class="form">

			<input type="hidden" name="token" value="'.$this->token.'" />

			<input type="hidden" id="submitFilter'.$this->table.'" name="submitFilter'.$this->table.'" value="0" />

				

			<div class="tr" style="background: transparent  url('._MODULE_DIR_.$this->name.');">

				<div style="float: left; margin: 2px;">

		';

		

		if ($page > 1)

			echo '

						<input type="image" src="../img/admin/list-prev2.gif" onclick="getE(\'submitFilter'.$this->table.'\').value=1"/>

						&nbsp; <input type="image" src="../img/admin/list-prev.gif" onclick="getE(\'submitFilter'.$this->table.'\').value='.($page - 1).'"/> ';

		echo $this->l('Strana').' <b>'.$page.'</b> / '.$totalPages;

		if ($page < $totalPages)

			echo '

						<input type="image" src="../img/admin/list-next.gif" onclick="getE(\'submitFilter'.$this->table.'\').value='.($page + 1).'"/>

						 &nbsp;<input type="image" src="../img/admin/list-next2.gif" onclick="getE(\'submitFilter'.$this->table.'\').value='.$totalPages.'"/>';

		echo '			| '.$this->l('Zobrazit').'

						<select name="pagination">';



		$selectedPagination = Tools::getValue('pagination', (isset($cookie->{$this->table.'_pagination'}) ? $cookie->{$this->table.'_pagination'} : null));

		foreach ($this->_pagination as $value)

			echo '<option value="'.intval($value).'"'.($selectedPagination == $value ? ' selected="selected"' : (($selectedPagination == null && $value == $this->_pagination[1]) ? ' selected="selected2"' : '')).'>'.intval($value).'</option>';

		echo '

						</select>

						/ '.intval($this->_listTotal).' '.$this->l('Celkem').'

				</div>

				<div style="float: right; margin: 2px;">

						<input type="submit" name="submitReset'.$this->table.'" value="'.$this->l('Reset').'" class="button" />

						<input type="submit" id="submitFilterButton_'.$this->table.'" name="submitFilter" value="'.$this->l('Filtr').'" class="button" />

				</div>

				<div class="clear"></div>

			</div>

			<div class="tr" style="background-color: #F4E6C9;">

		';



		foreach ($this->fieldsDisplay as $key => $params) {

			echo '

				<div class="th" style="width: '.$this->_column_widths[$key].'px;'.(isset($params['align']) ? ' text-align: '.$params['align'].';' : '').'">'.$params['title']

			;

			if (!isset($params['orderby']) OR $params['orderby'])

				echo '

					<br />

					<a href="'.$currentIndex.'&'.$this->table.'Orderby='.urlencode($key).'&'.$this->table.'Orderway=desc&token='.$token.'"><img border="0" src="../img/admin/down'.((isset($this->_orderBy) && ($key == $this->_orderBy) && ($this->_orderWay == 'DESC')) ? '_d' : '').'.gif" /></a>

					<a href="'.$currentIndex.'&'.$this->table.'Orderby='.urlencode($key).'&'.$this->table.'Orderway=asc&token='.$token.'"><img border="0" src="../img/admin/up'.((isset($this->_orderBy) && ($key == $this->_orderBy) && ($this->_orderWay == 'ASC')) ? '_d' : '').'.gif" /></a>';

			echo '

				</div>

			';

		}



		if ($this->_action)

			echo '

				<div class="th action" style="width: '.$this->_column_widths['actions'].'px; text-align: center;">'.$this->l('Akce').'</div>';

		echo '

				<div class="clear"></div>

			</div>

			<div class="tr">

		';



		$keyPress = 'onkeypress="formSubmit(event, \'submitFilterButton_'.$this->table.'\');"';



		foreach ($this->fieldsDisplay as $key => $params) {

			$width = $this->_column_widths[$key];

			echo '

				<div class="td" style="width: '.$width.'px; vertical-align: top;'.(isset($params['align']) ? ' text-align: '.$params['align'].'"' : '').'>

			';



			if (!isset($params['type']))

				$params['type'] = 'text';



			$value = Tools::getValue('conf') ? null : Tools::getValue($this->table.'Filter_'.(array_key_exists('filter_key', $params) ? $params['filter_key'] : $key));

			if (isset($params['search']) && !$params['search']) 	{

				echo '

					--

				</div>';

				continue;

			}

			switch ($params['type']) {

				case 'bool':

					echo '

					<select name="'.$this->table.'Filter_'.$key.'">

						<option value="">--</option>

						<option value="1"'.($value == 1 ? ' selected="selected"' : '').'>'.$this->l('Yes').'</option>

						<option value="0"'.(($value == 0 && $value != '') ? ' selected="selected"' : '').'>'.$this->l('No').'</option>

					</select>';

					break;

				case 'date':

				case 'datetime':

					if (is_string($value))

						$value = unserialize($value);

					$name = $this->table.'Filter_'.(isset($params['filter_key']) ? $params['filter_key'] : $key);

					$nameId = str_replace('!', '__', $name);

					includeDatepicker(array($nameId.'_0', $nameId.'_1'));

					echo

					$this->l('From').' <input type="text" id="'.$nameId.'_0" name="'.$name.'[0]" value="'.(isset($value[0]) ? $value[0] : '').'"style="width: '.$width.'px;"'.$keyPress.' /><br />'.

					$this->l('To').' <input type="text" id="'.$nameId.'_1" name="'.$name.'[1]" value="'.(isset($value[1]) ? $value[1] : '').'" style="width: '.$width.'px;" '.$keyPress.' />';

					break;

				case 'select':

					if (isset($params['filter_key'])) 	{

						echo '<select onchange="getE(\'submitFilter'.$this->table.'\').focus();getE(\'submitFilter'.$this->table.'\').click();" name="'.$this->table.'Filter_'.$params['filter_key'].'" '.(isset($params['width']) ? 'style="width: '.$width.'px"' : '').'>

								<option value=""'.(($value == 0 && $value != '') ? ' selected="selected"' : '').'>--</option>';

						if (isset($params['select']) && is_array($params['select']))

							foreach ($params['select'] AS $optionValue => $optionDisplay)

								echo '<option value="'.$optionValue.'"'.((isset($_POST[$this->table.'Filter_'.$params['filter_key']]) && Tools::getValue($this->table.'Filter_'.$params['filter_key']) == $optionValue && Tools::getValue($this->table.'Filter_'.$params['filter_key']) != '') ? ' selected="selected"' : '').'>'.$optionDisplay.'</option>';

						echo '</select>';

						break;

					}

				case 'text':

				default:

					echo '<input type="text" name="'.$this->table.'Filter_'.(isset($params['filter_key']) ? $params['filter_key'] : $key).'" value="'.htmlentities($value, ENT_COMPAT, 'UTF-8').'" style="width: '.($width-30).'px;" '.$keyPress.' />';

			}

			echo '

				</div>

			';

		}



		if ($this->_action)

			echo '

				<div class="td action" style="width: '.$this->_column_widths['actions'].'px; text-align: center;">--</div>

			';



		echo '

				<div class="clear"></div>

			</div>

			

		</form>

		';

	}



	public function displayListContent($token=NULL) {

		global $currentIndex, $cookie;

		

		if (!isset($token) || empty($token))

			$token = $this->token;

		if ($this->_action)

			$catalog_token = Tools::getAdminToken('AdminCatalog'.intval(Tab::getIdFromClassName('AdminCatalog')).intval($cookie->id_employee));



		$page = $this->_page;

		$currency = new Currency(Configuration::get('PS_CURRENCY_DEFAULT'));

		$json = json_encode($currency);



		echo 

		"\n".'

		<script type="text/javascript" src="'._MODULE_DIR_.$this->name.'/json2.js"></script>

		<script type="text/javascript">

			var jsonobject = '.$json.';

			var jsonstring = JSON.stringify(jsonobject);

			function loadCombos(id_product, price, tax) {

				var list = jQuery("div#comboList_"+id_product);

				if (list.hasClass("hidden-list")) {

					list.removeClass("hidden-list");

					list.addClass("ajax-load");

					$.post(

						"'._MODULE_DIR_.$this->name.'/loadEm.php", 

						{

						l: '.$this->_lang.',

						pid: id_product,

						p: price,

						t: tax,

						cur: jsonstring,

						pg: '.$page.',

						tbl: "'.$this->table.'",

						ident: "'.$this->identifier.'",

						tok: "'.$token.'",

						ct: "'.$catalog_token.'",

						combos: "'.$this->l('Combinations').'",

						impact: "'.$this->l('Price Impact').'",

						ast: "'.$this->l('excluding taxes for consistency').'"

						},

						function(data) {

							list.removeClass("ajax-load");

							list.html(data);

						}

					);

				} else {

					list.addClass("hidden-list");

					list.html("");

				}

		}

		</script>'.

		"\n";

		

		$price_input_width = 50;

		if ($this->_list)

			foreach ($this->_list as $i => $tr) {

				$rate =floatval($tr['rate']);

				$p_id = $tr[$this->identifier];

				$has_attributes = $tr["id_product_attribute"]  != 0;

				

				echo '<a name="'.$this->table.'_'.$p_id.'"></a>

				'."\n".'

				<div class="tr">



					<form method="post" action="'.$currentIndex.'#'.$this->table.'_'.$p_id.'" id="_'.$this->table.'_'.$p_id.'" class="form" onsubmit="formatValue(this.price_tax_exc.value, this);">

					<input type="hidden" name="token" value="'.$token.'" />

					<input type="hidden" name="table_identifier" value="'.$this->table.'" />

					<input type="hidden" name="where_identifier" value="'.$this->identifier.'" />

					<input type="hidden" name="where_identifier_value" value="'.$p_id.'"  />

					<input type="hidden" name="price" value="0" />

					<input type="hidden" name="submitFilter'.$this->table.'" value="'.$page.'" />

					<input type="hidden" id="submitEdit" name="submitEdit" value="0" />

				

					<script type="text/javascript">

						var '.$this->table.'_'.$p_id.' = getE(\'_'.$this->table.'_'.$p_id.'\');

						var pf;

						var ht;

						tax = (('.$rate.' / 100) + 1);

					</script>

					

				';



				$keydown = '

					onkeydown="

						key=window.event?window.event.keyCode:event.which;

						submitOnEnter(key, \''.$this->table.'_'.$p_id.'\');"

				';



				$keyup = '

					onkeyup="

							ht=this.value.replace(/,/g, \'.\');

							pf=ht*tax;

							pf=formatPrice(pf).toFixed(2);'.

							$this->table.'_'.$p_id.'.price_without_reduction.value=pf.replace(/\./g, \',\');"

				';

				

				$onchange ='

					onchange="

							ht='.$this->table.'_'.$p_id.'.price_tax_exc.value.replace(/,/g, \'.\');

							tax = ((tax_array[this.value] / 100) + 1);

							pf=ht*tax;

							pf=formatPrice(pf).toFixed(2);'.

							$this->table.'_'.$p_id.'.price_without_reduction.value=pf.replace(/\./g, \',\');"

				';

								

				foreach ($this->fieldsDisplay as $key => $params) {

					$width = $this->_column_widths[$key];

					$tmp = explode('!', $key);

					$key = isset($tmp[1]) ? $tmp[1] : $tmp[0];

					

					echo '

					<div class="td" style="'.(isset($params['active']) ? 'text-align: center; ' : '').'width: '.$width.'px;">

					';

					if (isset($params['active']) && isset($tr[$key]))

						echo '

						<a href="'.$currentIndex.'&'.$this->identifier.'='.$p_id.'&'.$params['active'].'&token='.$token.'">

							<img src="../img/admin/'.($tr[$key] ? 'enabled.gif' : 'disabled.gif').'" alt="'.($tr[$key] ? $this->l('Yes') : $this->l('No')).'" title="'.($tr[$key] ? $this->l('Yes') : $this->l('No')).'" />

						</a>

						';

					elseif (isset($params['activeVisu']) && isset($tr[$key]))

						echo '<img src="../img/admin/'.($tr[$key] ? 'enabled.gif' : 'disabled.gif').'" alt="'.($tr[$key] ? $this->l('Yes') : $this->l('No')).'" title="'.($tr[$key] ? $this->l('Yes') : $this->l('No')).'" />';

					elseif (isset($params['icon']) && (isset($params['icon'][$tr[$key]]) || isset($params['icon']['default'])))

						echo '<img src="../img/admin/'.(isset($params['icon'][$tr[$key]]) ? $params['icon'][$tr[$key]] : $params['icon']['default'].'" alt="'.$tr[$key]).'" title="'.$tr[$key].'" />';

                    elseif (isset($params['price'])) {

                     	if ($key == "price_tax_exc") {

                    		$display = Tools::displayPrice($tr[$key], $currency, false, false);

                    		$p = rtrim($display, $currency->sign);

                    		echo '<input type="text" name="'.$key.'" style="width: '.$price_input_width.'px;" value="'.$p.'" '.$keydown.' '.$keyup.' /> '.$currency->sign;

                		} elseif ($key == "price_final") {

                    		$display = Tools::displayPrice($tr[$key], $currency, false, false);

                    		$p = rtrim($display, $currency->sign);

                 			echo '<input type="text" name="'.$key.'" style="width: '.$price_input_width.'px;" value="'.$p.'" readonly="true" disabled="disabled" /> '.$currency->sign;

                		} elseif ($key == "price_without_reduction") {

                    		$display = Tools::displayPrice($tr[$key], $currency, false, false);

                    		$p = rtrim($display, $currency->sign);

                			echo '<input type="text" name="'.$key.'" style="width: '.$price_input_width.'px;" value="'.$p.'" readonly="true" disabled="disabled" /> '.$currency->sign;

                		} else

                    		'&nbsp;&nbsp;'.Tools::displayPrice($tr[$key], $currency, false, false);

                    } elseif (isset($params['type'])) {

						if ($params['type'] == "decimal")

							echo $tr[$key];

						elseif ($params['type'] == "date")

							echo Tools::displayDate($tr[$key], $this->_lang);

						elseif ($params['type'] == "datetime")

							echo Tools::displayDate($tr[$key], $this->_lang, true);

						elseif ($params['type'] == "float") 

							if ($key == "rate") {

								echo '

								<select name="id_tax" '.$onchange.'>

								';

								foreach ($this->_taxes  as $k => $t)

									echo '

									<option value="'.$t['id_tax'].'"'.(($tr['id_tax'] == $t['id_tax']) ? ' selected="selected"' : '').'>'.stripslashes($t['rate']).'% </option>

									';

								echo '

								</select>';

							} else

								echo rtrim(rtrim($tr[$key], '0'), '.');

					} elseif (isset($tr[$key])) {

						$value = ($key == "name") ? stripslashes(htmlspecialchars($tr[$key])) : $tr[$key];

						if ($has_attributes && $key == "name")

							echo '<a href="javascript:loadCombos('.$p_id.','.floatval($tr['price']).','.floatval(Tax::getApplicableTax(intval($tr['id_tax']), floatval($tr['rate']))).');" class="my">'.$value.'</a>';

						else {

							$echo = ($key == 'price' ? round($value, 2) : isset($params['maxlength']) ? Tools::substr($value, 0, $params['maxlength']).'...' : $value);

							echo isset($params['callback']) ? call_user_func_array(array($this->className, $params['callback']), array($echo, $tr)) : $echo;

						}

					} else

						echo '--';

					echo (isset($params['suffix']) ? ' '.$params['suffix'] : '');

					echo '

					</div>

					';

				}

				if ($this->_action) {

					echo '

					<div class="td action" style="width: '.$this->_column_widths['actions'].'px; text-align: center;">

						<div style="margin: 2px; float: left;">

							<input type="image" border="0" src="../img/admin/save.gif" value="'.$this->l("Uložit").'" title="'.$this->l("Uložit").'" alt="'.$this->l("Uložit").'" />

						</div>

					';

					if ($this->view)

						echo '

						<a href="index.php?tab=AdminCatalog&'.$this->identifier.'='.$p_id.'&view'.$this->table.'&token='.$catalog_token.'" style="float: left; margin-top: 3px; margin-left: 4px;">

							<img src="../img/admin/details.gif" border="0" alt="'.$this->l('View').'" title="'.$this->l('View').'" />

						</a>';

					if ($this->edit)

						echo '

						<a href="index.php?tab=AdminCatalog&'.$this->identifier.'='.$p_id.'&update'.$this->table.'&token='.$catalog_token.'" style="float: left; margin-top: 3px; margin-left: 4px;">

							<img src="../img/admin/edit.gif" border="0" alt="'.$this->l('Editovat').'" title="'.$this->l('Editovat').'" />

						</a>';

					if ($this->delete && (!isset($this->_listSkipDelete) || !in_array($p_id, $this->_listSkipDelete)))

						echo '

						<a href="index.php?tab=AdminCatalog&'.$this->identifier.'='.$p_id.'&delete'.$this->table.'&token='.$catalog_token.'" onclick="return confirm(\''.$this->l('Delete item #', __CLASS__, true, false).$p_id.' ?\');">

							<img src="../img/admin/delete.gif" border="0" alt="'.$this->l('Delete', __CLASS__, true, false).'" title="'.$this->l('Delete', __CLASS__, true, false).'" />

						</a>';

					$duplicate = $currentIndex.'&'.$this->identifier.'='.$p_id.'&duplicate'.$this->table;

					if ($this->duplicate)

						echo '

						<a class="pointer" onclick="if (confirm(\''.$this->l('Copy images too?', __CLASS__, true, false).'\')) document.location = \''.$duplicate.'&token='.$catalog_token.'\'; else document.location = \''.$duplicate.'&noimage=1&token='.($token ? $token : $this->token).'\';">

							<img src="../img/admin/add.gif" border="0" alt="'.$this->l('Duplicate').'" title="'.$this->l('Duplicate').'" />

						</a>';

					echo '

					</div>

					<div class="clear"></div>

					';

				}

				echo '

					</form>

				</div>

				'."\n";

				

				if ($has_attributes) {

					echo '

					<div style="min-height: 50px; width: '.$this->_total_width.'px;" id="comboList_'.$p_id.'" class="hidden-list">

					</div> <!-- combos -->

					';

					if (array_key_exists('id_product', $_GET) && $_GET['id_product'] == $p_id)

						echo '

						<script type="text/javascript">

							loadCombos('.$p_id.','.floatval($tr['price']).','.floatval(Tax::getApplicableTax(intval($tr['id_tax']), floatval($tr['rate']))).');

						</script>

						'."\n";

					}

			}

			echo '

				</div>

			';

	}



	public function displayListFooter($token = NULL) {

		global $currentIndex, $cookie;



		if (!isset($token) || empty($token))

			$token = $this->token;



		$page = $this->_page;

		$totalPages = ceil($this->_listTotal / Tools::getValue('pagination', (isset($cookie->{$this->table.'_pagination'}) ? $cookie->{$this->table.'_pagination'} : $this->_pagination[0])));

		if (!$totalPages) $totalPages = 1;

		

		echo '

			<form method="post" action="'.$currentIndex.'#'.$this->table.'" class="form">

			<input type="hidden" name="token" value="'.$this->token.'" />

			<input type="hidden" id="submitFilter'.$this->table.'_bot" name="submitFilter'.$this->table.'" value="0" />

				

			<div class="tr" style="background: transparent  url('._MODULE_DIR_.$this->name.');">

				<div style="float: left; margin: 2px;">

		';



		if ($page > 1)

			echo '

						<input type="image" src="../img/admin/list-prev2.gif" onclick="getE(\'submitFilter'.$this->table.'_bot\').value=1"/>

						&nbsp; <input type="image" src="../img/admin/list-prev.gif" onclick="getE(\'submitFilter'.$this->table.'_bot\').value='.($page - 1).'"/> ';

		echo $this->l('Strana').' <b>'.$page.'</b> / '.$totalPages;

		if ($page < $totalPages)

			echo '

						<input type="image" src="../img/admin/list-next.gif" onclick="getE(\'submitFilter'.$this->table.'_bot\').value='.($page + 1).'"/>

						 &nbsp;<input type="image" src="../img/admin/list-next2.gif" onclick="getE(\'submitFilter'.$this->table.'_bot\').value='.$totalPages.'"/>';

		echo '			| '.$this->l('Zobrazit').'

						<select name="pagination">';



		$selectedPagination = Tools::getValue('pagination', (isset($cookie->{$this->table.'_pagination'}) ? $cookie->{$this->table.'_pagination'} : null));

		foreach ($this->_pagination as $value)

			echo '<option value="'.intval($value).'"'.($selectedPagination == $value ? ' selected="selected"' : (($selectedPagination == null && $value == $this->_pagination[1]) ? ' selected="selected2"' : '')).'>'.intval($value).'</option>';

		echo '

						</select>

						/ '.intval($this->_listTotal).' '.$this->l('Celkem').'

				</div>

				<div class="clear"></div>

			</div>



		</div>

		';

	}



}



?>